import QtQuick 1.1
import qb.components 1.0
import BasicUIControls 1.0;

Screen {
	id: root

	screenTitle: qsTr("Copy")
	isSaveCancelDialog: true

	QtObject {
		id: p

		//monday based
		property int dayToCopyMB
		//sunday based
		property int dayToCopySB
	}

	function setDayToCopy(day) {
		p.dayToCopyMB = app.sundayBaseToMondayBase(day);
		p.dayToCopySB = day;
	}

	onSaved: {
		var copyToDaysMB = checkBoxGroup.getSelectedControls();
		var copyToDaysSB = [];
		for(var i = 0; i < copyToDaysMB.length; i++) {
			copyToDaysSB.push(app.mondayBaseToSundayBase(copyToDaysMB[i]));
		}
		app.programScreen.saveProgram(2, {'fromDay': p.dayToCopySB, 'toDays': copyToDaysSB});
	}

	onShown: {
		if (args && (args.fromDay >= 0))
			setDayToCopy(args.fromDay);

		for (var i = 0; i < days.count; i++) {
			days.itemAt(i).enabled = true;
			checkBoxGroup.setControlSelectState(i, false);
		}
		days.itemAt(p.dayToCopyMB).enabled = false;
	}

	Text {
		id: copyDayLabel

		anchors {
			baseline: parent.top
			baselineOffset: 58
			left: copyToDaysText.left
		}
		color: "#565656"
		font {
			family: qfont.semiBold.name
			pixelSize: qfont.navigationTitle
		}

		text: qsTr("Copy %1").arg(i18n.daysFull[p.dayToCopySB])
	}

	Text {
		id: copyToDaysText

		anchors {
			left: daysColumn.left
			baseline: copyDayLabel.baseline
			baselineOffset: 23
		}
		font.family: qfont.regular.name
		font.pixelSize: qfont.bodyText
		color: "#565656"
		text: qsTr("To day(s):")
	}

	ControlGroup {
		id: checkBoxGroup
		exclusive: false
	}

	Column {
		id: daysColumn

		anchors.top: copyToDaysText.baseline
		anchors.topMargin: 21
		anchors.horizontalCenter: parent.horizontalCenter
		spacing: 8

		Repeater {
			id: days

			model: 7
			delegate: StandardCheckBox {
				controlGroup: checkBoxGroup
				text: i18n.daysFull[app.mondayBaseToSundayBase(index)];
			}
		}
	}
}
