import QtQuick 1.1

import qb.base 1.0
import qb.components 1.0
import BasicUIControls 1.0;

// See \\ssot\design\1_Toon\1_Designs UI\5_Redesign UI\04_Documentation\01_Definitions\Stijl_definities\Defining_thermostatapp.pdf

Column {
	id: thermostatModeSet

	width: 165;
	spacing: 4

	property alias label: label.text
	property alias color: modeColor.color
	property alias temperature: modeValue.value
	property int textColorGap: 2
	property string kpiPrefix: "TemperaturePresetScreen." + label.text + "."

	Text {
		id: label

		font.family: qfont.semiBold.name
		font.pixelSize: qfont.navigationTitle

		color: "#565656"
	}

	Rectangle {
		height: textColorGap 
		width: parent.width
		color: colors.canvas
	}

	StyledRectangle {
		id: modeColor

		width:parent.width
		height: 16
		radius: 4
		bottomLeftRadiusRatio: 0
		bottomRightRadiusRatio: 0
	}

	NumberSpinner {
		id: modeValue

		height: 88
		width:parent.width

		spacing: 4
		radius: 4
		buttonWidth: 53

		anchors.topMargin: 4

		topLeftRadiusRatio: 0
		topRightRadiusRatio: 0

		fontFamily: qfont.regular.name
		fontPixelSize: qfont.spinnerText
		fontColor: "#565656"
		textBaseline: 54

		backgroundColor:            "#ffffff"
		backgroundColorButtonsUp:   "#ffffff"
		backgroundColorButtonsDown: "#A8A8A8"
		overlayColorButtonsUp:      "#565656"
		overlayColorButtonsDown:    "#ffffff"

		rangeMin: 6.0
		rangeMax: 30.0
		disableButtonAtMaximum: true
		disableButtonAtMinimum: true
		increment: 0.5
		valueSuffix: "°"
	}
}
